-- Security frame stuff

function SKG_SF_AuthCB_Clicked()
	-- this code needs rewrite
end

function SKG_SF_AddAuth_OnClick()
	-- this code needs rewrite
end

function SKG_SF_DelAuth_OnClick()
	-- needs rewrite
end

function SKG_SF_ProxyCB_Clicked()
	-- rewrite
end

function SKG_SF_AddProxy_OnClick( )
	-- rewrite
end

SKG.RankChooserOptions = {
	type = "group",
	handler = SKG,
	args = { },
}

SKG.GuildPlayerChooserOptions = {
	type = "group",
	handler = SKG,
	args = { },
}

-- Security Frame Creation

SKG_SecurityFrame = CreateFrame( "Frame", "SKG_SecurityFrame", SKG_Frame )
	SKG_SecurityFrame:SetHeight( 371 )
	SKG_SecurityFrame:SetWidth( 265 )
	SKG_SecurityFrame:SetPoint( "TOPLEFT", SKG_Frame, "TOPRIGHT", -5, -50 )
	SKG_SecurityFrame:EnableMouse( true )
	SKG_SecurityFrame:SetMovable( true )
	SKG_SecurityFrame:SetFrameLevel( 1 )
	SKG_SecurityFrame:SetFrameStrata( "BACKGROUND" )
	SKG_SecurityFrame:SetHitRectInsets( 5, 5, 5, 5 )
	SKG_SecurityFrame:Hide()

	local SKG_SF_Texture = SKG_SecurityFrame:CreateTexture( "SKG_SF_Texture", "ARTWORK" )
		SKG_SF_Texture:SetTexture( [[Interface\Addons\SKG\BLP\SecurityFrame_Texture]] )
		SKG_SF_Texture:SetAllPoints( SKG_OptionsFrame )
		SKG_SF_Texture:SetTexCoord( (( 512 - 265 ) / 512 ), 1, 0, ( 371 / 512 ) )

	local SKG_SF_TitleText = SKG_SecurityFrame:CreateFontString( "SKG_SF_TitleText", "OVERLAY", "GameFontHighlight" )
		SKG_SF_TitleText:SetText( SKGL["SKG_LBL_SF_TITLE_TEXT"] )
		SKG_SF_TitleText:SetPoint( "TOP", SKG_SecurityFrame, "TOP", 0, -3 )
		SKG_SF_TitleText:SetJustifyH( "CENTER" )
		SKG_SF_TitleText:SetHeight( 14 )
		SKG_SF_TitleText:SetWidth( 200 )

	local SKG_SF_GuildPlayerChooser = SKG_CreateButton( "SKG_SF_GuildPlayerChooser", SKG_SecurityFrame, 18, 200,
		"TOP", SKG_SecurityFrame, "TOP", 0, -24, "GameFontNormalSmall", "GameFontHighlightSmall", 
		SKGL["SKG_LBL_SF_GUILDCHOOSER_TEXT"], "CENTER", "SKG_SF_GUILDCHOOSER_TT" )

		SKG_SF_GuildPlayerChooser:SetScript( "OnClick",
			function()
				Dewdrop:Register( this,
					'children', SKG.GuildPlayerChooserOptions,
					'dontHook', true,
					'point', "TOPLEFT",
					'relativePoint', "BOTTOMLEFT"
				)
				this:SetScript( "OnClick",
					function()
						if Dewdrop:IsOpen( this ) then
							Dewdrop:Close()
						else
							Dewdrop:Open( this )
						end
					end
				)
				this:GetScript( "OnClick" )()
			end
		)

	local SKG_SF_SelectedPlayerText = SKG_SecurityFrame:CreateFontString( "SKG_SF_SelectedPlayerText", "OVERLAY", "GameFontNormalSmall" )
		SKG_SF_SelectedPlayerText:SetText( SKGL["SKG_LBL_SF_CURRENTPLAYER_TEXT"] )
		SKG_SF_SelectedPlayerText:SetPoint( "TOP", SKG_SecurityFrame, "TOP", 0, -43 )
		SKG_SF_SelectedPlayerText:SetJustifyH( "CENTER" )
		SKG_SF_SelectedPlayerText:SetHeight( 14 )
		SKG_SF_SelectedPlayerText:SetWidth( 200 )

	local SKG_SF_RankBasedCB = CreateFrame( "CheckButton", "SKG_SF_RankBasedCB", SKG_SecurityFrame, "UICheckButtonTemplate" )
		SKG_SF_RankBasedCB:SetHeight( 24 )
		SKG_SF_RankBasedCB:SetWidth( 24 )
		SKG_SF_RankBasedCB:SetPoint( "TOPLEFT", SKG_SecurityFrame, "TOPLEFT", 15, -58 )
		SKG_SF_RankBasedCBText:SetText( SKGL["SKG_LBL_SF_RANKBASEDCB_TEXT"] )

		SKG_SF_RankBasedCB:SetScript( "OnClick", SKG_SF_AuthCB_Clicked )

		SKG_TooltipDisplay( SKG_SF_RankBasedCB, "SKG_SF_RANKBASEDCB_TT", 1 )

	local SKG_SF_RankChooser = SKG_CreateButton( "SKG_SF_RankChooser", SKG_SecurityFrame, 20, 200,
		"TOPLEFT", SKG_SF_RankBasedCB, "BOTTOMLEFT", 30, -2, "GameFontNormalSmall", "GameFontHighlightSmall", 
		SKGL["SKG_LBL_SF_RANKCHOOSER_TEXT"], "CENTER", "SKG_SF_RANKCHOOSER_TT" )

		SKG_SF_RankChooser:SetScript( "OnClick",
			function()
				Dewdrop:Register( this,
					'children', SKG.RankChooserOptions,
					'dontHook', true,
					'point', "TOPLEFT",
					'relativePoint', "BOTTOMLEFT"
				)
				this:SetScript( "OnClick",
					function()
						if Dewdrop:IsOpen( this ) then
							Dewdrop:Close()
						else
							Dewdrop:Open( this )
						end
					end
				)
				this:GetScript( "OnClick" )()
			end
		)

	local SKG_SF_CurrentRankText = SKG_SecurityFrame:CreateFontString( "SKG_SF_CurrentRankText", "OVERLAY", "GameFontNormal" )
		SKG_SF_CurrentRankText:SetText( SKGL["SKG_LBL_SF_CURRENTRANK_TEXT"] )
		SKG_SF_CurrentRankText:SetPoint( "TOPLEFT", SKG_SF_RankChooser, "BOTTOMLEFT", 2, -2 )
		SKG_SF_CurrentRankText:SetJustifyH( "LEFT" )
		SKG_SF_CurrentRankText:SetHeight( 14 )
		SKG_SF_CurrentRankText:SetWidth( 200 )

	local SKG_SF_ManualAuthCB = CreateFrame( "CheckButton", "SKG_SF_ManualAuthCB", SKG_SecurityFrame, "UICheckButtonTemplate" )
		SKG_SF_ManualAuthCB:SetHeight( 24 )
		SKG_SF_ManualAuthCB:SetWidth( 24 )
		SKG_SF_ManualAuthCB:SetPoint( "TOPLEFT", SKG_SF_RankBasedCB, "BOTTOMLEFT", 0, -50 )
		SKG_SF_ManualAuthCBText:SetText( SKGL["SKG_LBL_SF_MANUALAUTHCB_TEXT"] )

		SKG_SF_ManualAuthCB:SetScript( "OnClick", SKG_SF_AuthCB_Clicked )

		SKG_TooltipDisplay( SKG_SF_ManualAuthCB, "SKG_SF_MANUALAUTHCB_TT", 1 )

	local SKG_SF_AuthListHover = SKG_CreateButton( "SKG_SF_AuthListHover", SKG_SecurityFrame, 20, 200,
		"TOPLEFT", SKG_SF_ManualAuthCB, "BOTTOMLEFT", 30, -2, "GameFontNormalSmall", "GameFontHighlightSmall", 
		SKGL["SKG_LBL_SF_AUTHHOVER_TEXT"], "CENTER", "SKG_SF_AUTHUSER_TT" )

		SKG_SF_AuthListHover:SetScript( "OnClick",
			function()
				-- rewrite
			end )

	local SKG_SF_AuthListTT = CreateFrame( "GameTooltip", "SKG_SF_AuthListTT", SKG_SF_AuthListHover, "GameTooltipTemplate" )

	local SKG_SF_AddAuthButton = SKG_CreateButton( "SKG_SF_AddAuthButton", SKG_SecurityFrame, 20, 200,
		"TOPLEFT", SKG_SF_AuthListHover, "BOTTOMLEFT", 0, -2, "GameFontNormalSmall", "GameFontHighlightSmall", 
		SKGL["SKG_LBL_SF_ADDAUTH_TEXT"], "CENTER", "SKG_SF_ADDUSER_TT" )

		SKG_SF_AddAuthButton:SetScript( "OnClick", SKG_SF_AddAuth_OnClick )
		SKG_SF_AddAuthButton:Disable()

	local SKG_SF_DelAuthButton = SKG_CreateButton( "SKG_SF_DelAuthButton", SKG_SecurityFrame, 20, 200,
 		"TOPLEFT", SKG_SF_AddAuthButton, "BOTTOMLEFT", 0, -2, "GameFontNormalSmall", "GameFontHighlightSmall", 
 		SKGL["SKG_LBL_SF_DELAUTH_TEXT"], "CENTER", "SKG_SF_DELUSER_TT" )

 		SKG_SF_DelAuthButton:SetScript( "OnClick", SKG_SF_DelAuth_OnClick )
 		SKG_SF_DelAuthButton:Disable()

	local SKG_SF_ProxyCB = CreateFrame( "CheckButton", "SKG_SF_ProxyCB", SKG_SecurityFrame, "UICheckButtonTemplate" )
		SKG_SF_ProxyCB:SetHeight( 24 )
		SKG_SF_ProxyCB:SetWidth( 24 )
		SKG_SF_ProxyCB:SetPoint( "TOPLEFT", SKG_SF_ManualAuthCB, "BOTTOMLEFT", 0, -75 )
		SKG_SF_ProxyCBText:SetText( SKGL["SKG_LBL_SF_PROXYCB_TEXT"] )

		SKG_SF_ProxyCB:SetScript( "OnClick", SKG_SF_ProxyCB_Clicked )

		SKG_TooltipDisplay( SKG_SF_ProxyCB, "SKG_SF_PROXYCB_TT", 1 )

	local SKG_SF_ProxyUserText = SKG_SecurityFrame:CreateFontString( "SKG_SF_ProxyUserText", "OVERLAY", "GameFontNormalSmall" )
		SKG_SF_ProxyUserText:SetText( SKGL["SKG_LBL_SF_PROXYUSER_TEXT"] )
		SKG_SF_ProxyUserText:SetPoint( "TOPLEFT", SKG_SF_ProxyCB, "BOTTOMLEFT", 30, -2 )
		SKG_SF_ProxyUserText:SetJustifyH( "LEFT" )
		SKG_SF_ProxyUserText:SetHeight( 14 )
		SKG_SF_ProxyUserText:SetWidth( 200 )

	local SKG_SF_AddProxyButton = SKG_CreateButton( "SKG_SF_AddProxyButton", SKG_SecurityFrame, 20, 200,
		"TOPLEFT", SKG_SF_ProxyUserText, "BOTTOMLEFT", 0, -2, "GameFontNormalSmall", "GameFontHighlightSmall", 
		SKGL["SKG_LBL_SF_ADDPROXY_TEXT"], "CENTER", "SKG_SF_ADDPROXY_TT" )

		SKG_SF_AddProxyButton:SetScript( "OnClick", SKG_SF_AddProxy_OnClick )
		SKG_SF_AddProxyButton:Disable()
